--- old/usr/src/cmd/sgs/elfdump/Makefile.targ	2019-07-14 19:11:57.921629598 +0000
+++ new/usr/src/cmd/sgs/elfdump/Makefile.targ	2019-07-14 19:11:57.938956743 +0000
@@ -39,7 +39,7 @@
 		$(COMPILE.c) -D_ELF64 -o $@ $<
 		$(POST_PROCESS_O)
 
-%.o:		$(SGSTOOLS)/common/%.c
+%.o:		$(SGSCOMMON)/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
--- old/usr/src/cmd/sgs/elfedit/Makefile.com	2019-07-14 19:11:58.393234466 +0000
+++ new/usr/src/cmd/sgs/elfedit/Makefile.com	2019-07-14 19:11:58.405968244 +0000
@@ -44,13 +44,13 @@
 MAPFILE=	../common/mapfile-vers
 
 CPPFLAGS=	-I. -I../common -I../../include -I../../include/$(MACH) \
-		-I$(SRCBASE)/lib/libc/inc -I$(SRCBASE)/uts/$(ARCH)/sys \
+		-I$(SRC)/lib/libc/inc -I$(SRC)/uts/$(ARCH)/sys \
 		$(CPPFLAGS.master) -I$(ELFCAP)
 LLDFLAGS =	$(VAR_ELFEDIT_LLDFLAGS)
 LLDFLAGS64 =	$(VAR_ELFEDIT_LLDFLAGS64)
-LDFLAGS +=	$(VERSREF) $(CC_USE_PROTO) -M$(MAPFILE) $(LLDFLAGS)
-LDLIBS +=	$(ELFLIBDIR) -lelf $(LDDBGLIBDIR) $(LDDBG_LIB) \
-		    $(CONVLIBDIR) $(CONV_LIB) -ltecla
+LDFLAGS +=	$(VERSREF) -M$(MAPFILE) $(LLDFLAGS)
+LDLIBS +=	$(ELFLIBDIR) -lelf $(LDDBGLIBDIR) -llddbg \
+		    $(CONVLIBDIR) -lconv -ltecla
 
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-uninitialized
--- old/usr/src/cmd/sgs/elfedit/Makefile.targ	2019-07-14 19:11:58.859214982 +0000
+++ new/usr/src/cmd/sgs/elfedit/Makefile.targ	2019-07-14 19:11:58.875405790 +0000
@@ -36,7 +36,7 @@
 		$(COMPILE.c) -D_ELF64 -o $@ $<
 		$(POST_PROCESS_O)
 
-%.o:		$(SGSTOOLS)/common/%.c
+%.o:		$(SGSCOMMON)/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
--- old/usr/src/cmd/sgs/elfedit/modules/Makefile.com	2019-07-14 19:11:59.348483657 +0000
+++ new/usr/src/cmd/sgs/elfedit/modules/Makefile.com	2019-07-14 19:11:59.365171880 +0000
@@ -67,8 +67,8 @@
 SYM_PICS=	$(SYM_OBJ:%.o=$(PICDIR)/%.o)
 SYMINFO_PICS=	$(SYMINFO_OBJ:%.o=$(PICDIR)/%.o)
 
-LDLIBS +=	$(ELFLIBDIR) -lelf $(LDDBGLIBDIR) $(LDDBG_LIB) \
-		$(CONVLIBDIR) $(CONV_LIB) -lc
+LDLIBS +=	$(ELFLIBDIR) -lelf $(LDDBGLIBDIR) -llddbg \
+		$(CONVLIBDIR) -lconv -lc
 
 $(CAP_LIB):=		PICS = $(CAP_PICS)
 $(DYN_LIB):=		PICS = $(DYN_PICS)
@@ -92,10 +92,10 @@
 MAPFILES = ../common/mapfile-vers
 
 CPPFLAGS +=	-I../../../include -I../../../include/$(MACH) \
-		-I../$(SRCBASE)/lib/libc/inc  -D_REENTRANT
+		-I$(SRC)/lib/libc/inc  -D_REENTRANT
 LLDFLAGS =	'-R$$ORIGIN/../../../lib'
 LLDFLAGS64 =	'-R$$ORIGIN/../../../../lib/$(MACH64)'
-LDFLAGS +=	$(CC_USE_PROTO) $(LLDFLAGS)
+LDFLAGS +=	$(LLDFLAGS)
 DYNFLAGS +=	$(VERSREF)
 
 CERRWARN +=	-_gcc=-Wno-switch
--- old/usr/src/cmd/sgs/elfedit/modules/Makefile.targ	2019-07-14 19:11:59.818676245 +0000
+++ new/usr/src/cmd/sgs/elfedit/modules/Makefile.targ	2019-07-14 19:11:59.835360215 +0000
@@ -101,10 +101,6 @@
 $(SGSMSGDIR)/elfedit_%: $(SGSMSG) ../common/%.msg
 		$(SGSMSG) $(SGSMSGFLAGS) -l -m $(SGSMSGDIR)/elfedit_$* $<
 
-$(SGSMSG):
-		@ cd $(SGSTOOLS)/$(MACH); pwd; $(MAKE) catalog
-		@ pwd
-
 catalog:	$(SGSMSGDIR)/elfedit_cap \
 		$(SGSMSGDIR)/elfedit_dyn \
 		$(SGSMSGDIR)/elfedit_ehdr \
--- old/usr/src/cmd/sgs/elfwrap/Makefile.com	2019-07-14 19:12:00.281725570 +0000
+++ new/usr/src/cmd/sgs/elfwrap/Makefile.com	2019-07-14 19:12:00.299754829 +0000
@@ -40,12 +40,12 @@
 
 COMOBJ64 =	elfwrap64.o
 
-TOOLOBJS =	alist.o
+SGSCOMMONOBJ =	alist.o
 
 BLTOBJ =	msg.o
 
 OBJS=		$(BLTOBJ) $(COMOBJ) $(MACHOBJ) $(COMOBJ32) $(COMOBJ64) \
-		$(TOOLOBJS)
+		$(SGSCOMMONOBJ)
 
 MAPFILES =	$(MAPFILE.NGB)
 MAPOPTS =	$(MAPFILES:%=-M%)
@@ -53,8 +53,8 @@
 CPPFLAGS =	-I. -I../common -I../../include $(CPPFLAGS.master) -I$(ELFCAP)
 LLDFLAGS =
 LLDFLAGS64 =
-LDFLAGS +=	$(VERSREF) $(CC_USE_PROTO) $(MAPOPTS) $(LLDFLAGS)
-LDLIBS +=	$(ELFLIBDIR) -lelf $(CONVLIBDIR) $(CONV_LIB)
+LDFLAGS +=	$(VERSREF) $(MAPOPTS) $(LLDFLAGS)
+LDLIBS +=	$(ELFLIBDIR) -lelf $(CONVLIBDIR) -lconv
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
@@ -71,6 +71,6 @@
 
 SRCS =		$(COMOBJ:%.o=../common/%.c) ../common/machine.c \
 		$(COMOBJ32:%32.o=../common/%.c) \
-		$(TOOLOBJ:%.o=../../tools/common/%.c) $(BLTDATA)
+		$(SGSCOMMONOBJ:%.o=$(SGSCOMMON)/%.c) $(BLTDATA)
 
 CLEANFILES +=	$(BLTFILES)
--- old/usr/src/cmd/sgs/elfwrap/Makefile.targ	2019-07-14 19:12:00.780577465 +0000
+++ new/usr/src/cmd/sgs/elfwrap/Makefile.targ	2019-07-14 19:12:00.800214004 +0000
@@ -38,7 +38,7 @@
 		$(COMPILE.c) -D_ELF64 -o $@ $<
 		$(POST_PROCESS_O)
 
-%.o:		$(SGSTOOLS)/common/%.c
+%.o:		$(SGSCOMMON)/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
--- old/usr/src/cmd/sgs/gprof/Makefile.com	2019-07-14 19:12:01.287933193 +0000
+++ new/usr/src/cmd/sgs/gprof/Makefile.com	2019-07-14 19:12:01.302444082 +0000
@@ -43,7 +43,7 @@
 CPPFLAGS=	$(INCLIST) $(DEFLIST) $(CPPFLAGS.master) -I$(ELFCAP)
 CFLAGS +=	$(CCVERBOSE)
 CSTD=	$(CSTD_GNU99)
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
+LDLIBS +=	$(CONVLIBDIR) -lconv $(ELFLIBDIR) -lelf
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
 # not linted
--- old/usr/src/cmd/sgs/include/conv.h	2019-07-14 19:12:01.736470243 +0000
+++ new/usr/src/cmd/sgs/include/conv.h	2019-07-14 19:12:01.753808703 +0000
@@ -42,10 +42,7 @@
 #include <libld.h>
 #include <sgs.h>
 #include <sgsmsg.h>
-
-#ifndef	NATIVE_BUILD
 #include <sys/secflags.h>
-#endif
 
 #ifdef	__cplusplus
 extern "C" {
@@ -331,14 +328,12 @@
 	char				buf[CONV_CNOTE_PROC_FLAG_BUFSIZE];
 } Conv_cnote_proc_flag_buf_t;
 
-#ifndef	NATIVE_BUILD
 /* conv_prsecflags() */
 #define	CONV_PRSECFLAGS_BUFSIZE		57
 typedef union {
 	Conv_inv_buf_t			inv_buf;
 	char				buf[CONV_PRSECFLAGS_BUFSIZE];
 } Conv_secflags_buf_t;
-#endif
 
 /* conv_cnote_sigset() */
 #define	CONV_CNOTE_SIGSET_BUFSIZE	639
@@ -592,7 +587,7 @@
 } conv_ds_type_t;
 
 #define	CONV_DS_COMMON_FIELDS \
-	conv_ds_type_t	ds_type;   	/* Type of data structure used */ \
+	conv_ds_type_t	ds_type;	/* Type of data structure used */ \
 	uint32_t	ds_baseval;	/* Value of first item */	\
 	uint32_t	ds_topval	/* Value of last item */
 
@@ -836,10 +831,8 @@
 			    Conv_inv_buf_t *);
 extern	const char	*conv_cnote_priv(int, Conv_fmt_flags_t,
 			    Conv_inv_buf_t *);
-#ifndef	NATIVE_BUILD
 extern	const char	*conv_prsecflags(secflagset_t, Conv_fmt_flags_t,
 			    Conv_secflags_buf_t *);
-#endif
 extern	const char	*conv_cnote_psetid(int, Conv_fmt_flags_t,
 			    Conv_inv_buf_t *);
 extern	const char	*conv_cnote_sa_flags(int, Conv_fmt_flags_t,
--- old/usr/src/cmd/sgs/ld/Makefile.com	2019-07-14 19:12:02.254667705 +0000
+++ new/usr/src/cmd/sgs/ld/Makefile.com	2019-07-14 19:12:02.272906869 +0000
@@ -36,33 +36,30 @@
 OBJS =		$(BLTOBJ) $(COMOBJS)
 .PARALLEL:	$(OBJS)
 
-MAPFILES =	../common/mapfile-intf $(MAPFILE.NGB)
+SRCDIR =	$(SGSHOME)/ld
+
+MAPFILES =	$(SRCDIR)/common/mapfile-intf $(MAPFILE.NGB)
 MAPOPTS =	$(MAPFILES:%=-M%)
 
-LDFLAGS +=	$(VERSREF) $(CC_USE_PROTO) $(MAPOPTS) $(VAR_LD_LLDFLAGS)
-LDLIBS +=	$(LDLIBDIR) $(LD_LIB) $(ELFLIBDIR) -lelf \
-		    $(LDDBGLIBDIR) $(LDDBG_LIB) $(CONVLIBDIR) $(CONV_LIB)
+LDFLAGS +=	$(VERSREF) $(MAPOPTS) $(VAR_LD_LLDFLAGS)
+LDLIBS +=	$(LDLIBDIR) -lld $(ELFLIBDIR) -lelf \
+		    $(LDDBGLIBDIR) -llddbg $(CONVLIBDIR) -lconv
 
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
 
-native :=	LDFLAGS = -R$(SGSLIBDIR) $(ZNOVERSION)
-native :=	LDLIBS = -L$(SGSLIBDIR) $(LD_LIB) -lelf $(CONVLIBDIR) \
-		    $(CONV_LIB)
-native :=	CPPFLAGS += -DNATIVE_BUILD
-
 BLTDEFS=	msg.h
 BLTDATA=	msg.c
 BLTMESG=	$(SGSMSGDIR)/ld
 
 BLTFILES=	$(BLTDEFS) $(BLTDATA) $(BLTMESG)
 
-SGSMSGCOM=	../common/ld.msg
+SGSMSGCOM=	$(SRCDIR)/common/ld.msg
 SGSMSGTARG=	$(SGSMSGCOM)
 SGSMSGALL=	$(SGSMSGCOM)
 SGSMSGFLAGS +=	-h $(BLTDEFS) -d $(BLTDATA) -m $(BLTMESG) -n ld_msg
 
-SRCS=		$(MACHOBJS:%.o=%.c)  $(COMOBJS:%.o=../common/%.c)  $(BLTDATA)
+SRCS=		$(MACHOBJS:%.o=%.c)  $(COMOBJS:%.o=$(SRCDIR)/common/%.c)  $(BLTDATA)
 
 CLEANFILES +=	$(BLTFILES)
 
--- old/usr/src/cmd/sgs/ld/Makefile.targ	2019-07-14 19:12:02.655711903 +0000
+++ new/usr/src/cmd/sgs/ld/Makefile.targ	2019-07-14 19:12:02.671337323 +0000
@@ -29,10 +29,7 @@
 
 all:		$(PROG)
 
-package \
-install:	all $(VAR_SGSBINPROG) $(VAR_SGSCCSLINK)
-
-%.o:		../common/%.c
+%.o:		$(SRCDIR)/common/%.c
 		$(COMPILE.c) $<
 		$(POST_PROCESS_O)
 
@@ -49,15 +46,6 @@
 include		$(SRC)/cmd/Makefile.targ
 include		$(SRC)/cmd/sgs/Makefile.targ
 
-# Special target for native builds (ie. when we need to build a version of ld
-# to build a version of ld :-).
-
-native:		$(SGSBINDIR)/$(PROG)
-
-$(SGSBINDIR)/$(PROG):	$(OBJS) $(SGSBINDIR)
-		$(LINK.c) $(OBJS) -o $@ $(LDLIBS)
-		$(POST_PROCESS)
-
 # Derived source and header files (messaging).
 
 catalog:	$(BLTMESG)
--- old/usr/src/cmd/sgs/ld/amd64/Makefile	2019-07-14 19:12:03.138867880 +0000
+++ new/usr/src/cmd/sgs/ld/amd64/Makefile	2019-07-14 19:12:03.156837331 +0000
@@ -23,7 +23,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
 #
 
 include		../Makefile.com
@@ -33,12 +32,11 @@
 LDDBGLIBDIR =	$(LDDBGLIBDIR64)
 CONVLIBDIR =	$(CONVLIBDIR64)
 
-VAR_SGSBINPROG=	$(VAR_SGSBINPROG64)
-VAR_SGSCCSLINK=	$(VAR_SGSCCSLINK64)
-
 VAR_LD_LLDFLAGS = \
 		$(VAR_LD_LLDFLAGS64)
 
+package install:	all $(VAR_SGSBINPROG64) $(VAR_SGSCCSLINK64)
+
 .KEEP_STATE:
 
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/ld/i386/Makefile	2019-07-14 19:12:03.598492057 +0000
+++ new/usr/src/cmd/sgs/ld/i386/Makefile	2019-07-14 19:12:03.614405084 +0000
@@ -19,9 +19,6 @@
 #
 # CDDL HEADER END
 #
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright (c) 1996 by Sun Microsystems, Inc.
 # All rights reserved.
 
@@ -29,4 +26,6 @@
 
 .KEEP_STATE:
 
+package install:	all $(VAR_SGSBINPROG) $(VAR_SGSCCSLINK)
+
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/ld/sparc/Makefile	2019-07-14 19:12:04.081341383 +0000
+++ new/usr/src/cmd/sgs/ld/sparc/Makefile	2019-07-14 19:12:04.099571122 +0000
@@ -19,9 +19,6 @@
 #
 # CDDL HEADER END
 #
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright (c) 1996 by Sun Microsystems, Inc.
 # All rights reserved.
 
@@ -29,4 +26,6 @@
 
 .KEEP_STATE:
 
+package install:	all $(VAR_SGSBINPROG) $(VAR_SGSCCSLINK)
+
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/ld/sparcv9/Makefile	2019-07-14 19:12:04.571600380 +0000
+++ new/usr/src/cmd/sgs/ld/sparcv9/Makefile	2019-07-14 19:12:04.592261808 +0000
@@ -23,8 +23,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 include		../Makefile.com
 
@@ -33,13 +31,12 @@
 LDDBGLIBDIR =	$(LDDBGLIBDIR64)
 CONVLIBDIR =	$(CONVLIBDIR64)
 
-VAR_SGSBINPROG= $(VAR_SGSBINPROG64)
-VAR_SGSCCSLINK= $(VAR_SGSCCSLINK64)
-
 VAR_LD_LLDFLAGS = \
 		$(VAR_LD_LLDFLAGS64)
 
 .KEEP_STATE:
 
+package install:	all $(VAR_SGSBINPROG64) $(VAR_SGSCCSLINK64)
+
 include		../Makefile.targ
 include		../../Makefile.sub.64
--- old/usr/src/cmd/sgs/ldd/Makefile.com	2019-07-14 19:12:05.048656924 +0000
+++ new/usr/src/cmd/sgs/ldd/Makefile.com	2019-07-14 19:12:05.066213315 +0000
@@ -34,20 +34,20 @@
 
 COMOBJ=		ldd.o
 BLTOBJ=		msg.o
-TOOLSOBJ=	alist.o
+SGSCOMMONOBJ=	alist.o
 
-OBJS=		$(BLTOBJ) $(COMOBJ) $(TOOLSOBJ)
+OBJS=		$(BLTOBJ) $(COMOBJ) $(SGSCOMMONOBJ)
 
 MAPFILE=	$(MAPFILE.NGB)
 MAPOPTS=	$(MAPFILE:%=-M%)
 
 CPPFLAGS +=	-I. -I../../include -I../../include/$(MACH) \
-		-I$(SRCBASE)/uts/$(ARCH)/sys \
+		-I$(SRC)/uts/$(ARCH)/sys \
 		$(CPPFLAGS.master)
 LLDFLAGS =	'-R$$ORIGIN/../../lib'
 LLDFLAGS64 =	'-R$$ORIGIN/../../../lib/$(MACH64)'
-LDFLAGS +=	$(VERSREF) $(CC_USE_PROTO) $(MAPOPTS) $(LLDFLAGS)
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) -lelf $(DLLIB)
+LDFLAGS +=	$(VERSREF) $(MAPOPTS) $(LLDFLAGS)
+LDLIBS +=	$(CONVLIBDIR) -lconv -lelf
 
 SMOFF += or_vs_and
 
@@ -63,6 +63,6 @@
 SGSMSGFLAGS +=	-h $(BLTDEFS) -d $(BLTDATA) -m $(BLTMESG) -n ldd_msg
 
 SRCS=		$(COMOBJ:%.o=../common/%.c) $(BLTDATA) \
-		$(TOOLSOBJ:%.o=$(SGSTOOLS)/common/%.c)
+		$(SGSCOMMONOBJ:%.o=$(SGSCOMMON)/%.c)
 
 CLEANFILES +=	$(BLTFILES)
--- old/usr/src/cmd/sgs/ldd/Makefile.targ	2019-07-14 19:12:05.511808524 +0000
+++ new/usr/src/cmd/sgs/ldd/Makefile.targ	2019-07-14 19:12:05.528816976 +0000
@@ -26,7 +26,7 @@
 		$(COMPILE.c) $<
 		$(POST_PROCESS_O)
 
-%.o:            $(SGSTOOLS)/common/%.c
+%.o:            $(SGSCOMMON)/%.c
 		$(COMPILE.c) $<
 		$(POST_PROCESS_O)
 
@@ -49,7 +49,6 @@
 include		$(SRC)/cmd/sgs/Makefile.targ
 
 # Derived source and header files (messaging).
- 
 catalog:        $(BLTMESG)
 
 chkmsg:		$(SRCS)
--- old/usr/src/cmd/sgs/ldprof/Makefile.com	2019-07-14 19:12:05.993327115 +0000
+++ new/usr/src/cmd/sgs/ldprof/Makefile.com	2019-07-14 19:12:06.014101972 +0000
@@ -38,14 +38,13 @@
 
 MAPFILES =	../common/mapfile-vers
 
-DYNFLAGS +=	$(CC_USE_PROTO)
 CPPFLAGS=	-I. -I../common -I../../include \
 		-I../../rtld/common \
 		-I../../include/$(MACH) \
-		-I$(SRCBASE)/lib/libc/inc \
-		-I$(SRCBASE)/uts/common/krtld \
+		-I$(SRC)/lib/libc/inc \
+		-I$(SRC)/uts/common/krtld \
 		-I$(SRC)/common/sgsrtcid \
-		-I$(SRCBASE)/uts/$(ARCH)/sys \
+		-I$(SRC)/uts/$(ARCH)/sys \
 		$(CPPFLAGS.master) -I$(ELFCAP)
 CFLAGS +=	$(C_PICFLAGS)
 
--- old/usr/src/cmd/sgs/libconv/Makefile.com	2019-07-14 19:12:06.461208483 +0000
+++ new/usr/src/cmd/sgs/libconv/Makefile.com	2019-07-14 19:12:06.477406185 +0000
@@ -89,6 +89,8 @@
 include	$(SRC)/lib/Makefile.lib
 include	$(SRC)/cmd/sgs/Makefile.com
 
+SRCDIR =	$(SRC)/cmd/sgs/libconv
+
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
 
@@ -97,12 +99,12 @@
 
 CTFCONVERT_O=
 
-README_REVISION=../../packages/common/readme_revision
-ONLDREADME=	../../packages/common/SUNWonld-README
+README_REVISION= $(SGSHOME)/tools/readme_revision
+ONLDREADME=	 $(SGSHOME)/tools/SUNWonld-README
 
 PICS=		$(OBJECTS:%=pics/%)
 
-CPPFLAGS +=	-I$(SRCBASE)/lib/libc/inc -I$(ELFCAP) \
+CPPFLAGS +=	-I$(SRC)/lib/libc/inc -I$(ELFCAP) \
 		-I$(SRC)/common/sgsrtcid
 
 ARFLAGS=	cr
--- old/usr/src/cmd/sgs/libconv/Makefile.targ	2019-07-14 19:12:06.921773462 +0000
+++ new/usr/src/cmd/sgs/libconv/Makefile.targ	2019-07-14 19:12:06.942881900 +0000
@@ -26,7 +26,7 @@
 # Copyright 2019 OmniOS Community Edition (OmniOSce) Association.
 #
 
-pics/%.o:	../common/%.c
+pics/%.o:	$(SRCDIR)/common/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
@@ -34,11 +34,11 @@
 		$(COMPILE.s) -o $@ $<
 		$(POST_PROCESS_O)
 
-pics/%32.o:	../common/%.c
+pics/%32.o:	$(SRCDIR)/common/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
-pics/%64.o:	../common/%.c
+pics/%64.o:	$(SRCDIR)/common/%.c
 		$(COMPILE.c) -D_ELF64 -o $@ $<
 		$(POST_PROCESS_O)
 
@@ -55,27 +55,23 @@
 #
 # We make this depend on Makefile.targ, because a change to Makefile.targ
 # can change the limit, in which case we want to force everything to rebuild.
-report_bufsize.h:	../Makefile.targ
-		perl ../../tools/libconv_mk_report_bufsize.pl 8000
+report_bufsize.h:	$(SRCDIR)/Makefile.targ
+		perl $(SRC)/cmd/sgs/tools/libconv_mk_report_bufsize.pl 8000
 
-../common/%.c ../common/%_machelf.c:	%_msg.h
+$(SRCDIR)/common/%.c $(SRCDIR)/common/%_machelf.c:	%_msg.h
 
-%_msg.h %_msg.c: $(SGSMSG) ../common/%.msg report_bufsize.h
+%_msg.h + %_msg.c: $(SGSMSG) $(SRCDIR)/common/%.msg report_bufsize.h
 		$(SGSMSG) $(SGSMSGFLAGS) -h $*_msg.h -d $*_msg.c \
 			-n sgs_msg_libconv_$* $<
 
-$(SGSMSG):	FRC
-		@ cd $(SGSTOOLS)/$(MACH); pwd; $(MAKE) catalog
-		@ pwd
-
 vernote.s:	bld_vernote $(README_REVISION) $(ONLDREADME)
 		./bld_vernote \
 			-R `perl $(README_REVISION) $(ONLDREADME)` \
 			-r "$(RELEASE)" -o $@
 
-bld_vernote:	../common/bld_vernote.ksh
+bld_vernote:	$(SRCDIR)/common/bld_vernote.ksh
 		$(RM) -f $@
-		cp ../common/bld_vernote.ksh $@
+		cp $(SRCDIR)/common/bld_vernote.ksh $@
 		chmod a+x $@
 
 $(LIBRARY):	pics $$(PICS)
@@ -89,7 +85,7 @@
 catalog:
 
 pics:
-		-@mkdir -p $@
+		$(MKDIR) -p $@
 
 clobber:	clean
 		-$(RM) $(LIBRARY) $(CLOBBERFILES)
--- old/usr/src/cmd/sgs/libcrle/Makefile.com	2019-07-14 19:12:07.381525453 +0000
+++ new/usr/src/cmd/sgs/libcrle/Makefile.com	2019-07-14 19:12:07.397794117 +0000
@@ -42,8 +42,8 @@
 
 LDLIBS +=	$(ZRECORD) -lmapmalloc $(DLLIB) -lc
 
-CPPFLAGS +=	-I$(SRCBASE)/lib/libc/inc -I$(SRC)/common/sgsrtcid
-DYNFLAGS +=	$(VERSREF) $(CONVLIBDIR) -lconv $(CC_USE_PROTO)
+CPPFLAGS +=	-I$(SRC)/lib/libc/inc -I$(SRC)/common/sgsrtcid
+DYNFLAGS +=	$(VERSREF) $(CONVLIBDIR) -lconv
 
 BLTDEFS=	msg.h
 BLTDATA=	msg.c
--- old/usr/src/cmd/sgs/libelf/Makefile.com	2019-07-14 19:12:07.845477264 +0000
+++ new/usr/src/cmd/sgs/libelf/Makefile.com	2019-07-14 19:12:07.862841536 +0000
@@ -52,20 +52,22 @@
 
 include $(SRC)/lib/Makefile.lib
 
+SRCDIR=	$(SRC)/cmd/sgs/libelf
+
 # Use the value of M4 set in Makefile.master via Makefile.lib
 
 DEMOFILES=	Makefile	00README	acom.c		dcom.c \
 		pcom.c		tpcom.c		dispsyms.c
-DEMOFILESRCDIR=	../demo
+DEMOFILESRCDIR=	$(SRCDIR)/demo
 ROOTDEMODIRBASE=$(ROOT)/usr/demo/ELF
 ROOTDEMODIRS=   $(ROOTDEMODIRBASE)
 
 include $(SRC)/cmd/sgs/Makefile.com
 
-MAPFILES =	../common/mapfile-vers
+MAPFILES =	$(SRCDIR)/common/mapfile-vers
 
 DYNFLAGS +=	$(VERSREF)
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) -lc
+LDLIBS +=	$(CONVLIBDIR) -lconv -lc
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
@@ -83,8 +85,8 @@
 
 BLTFILES=	$(BLTDEFS) $(BLTDATA) $(BLTMESG)
 
-SGSMSGCOM=	../common/libelf.msg
-SGSMSG32=	../common/libelf.32.msg
+SGSMSGCOM=	$(SRCDIR)/common/libelf.msg
+SGSMSG32=	$(SRCDIR)/common/libelf.32.msg
 SGSMSGTARG=	$(SGSMSGCOM)
 SGSMSGALL=	$(SGSMSGCOM) $(SGSMSG32)
 
@@ -92,7 +94,7 @@
 SGSMSGFLAGS2=	$(SGSMSGFLAGS) -h $(BLTDEFS) -d $(BLTDATA) -n libelf_msg
 
 BLTSRCS=	$(BLTOBJS:%.o=%.c)
-LIBSRCS=	$(COMOBJS:%.o=../common/%.c)  $(MISCOBJS:%.o=../misc/%.c) \
+LIBSRCS=	$(COMOBJS:%.o=$(SRCDIR)/common/%.c)  $(MISCOBJS:%.o=$(SRCDIR)/misc/%.c) \
 		$(MACHOBJS:%.o=%.c)  $(BLTSRCS)
 
 ROOTFS_DYNLIB=		$(DYNLIB:%=$(ROOTFS_LIBDIR)/%)
--- old/usr/src/cmd/sgs/libelf/Makefile.targ	2019-07-14 19:12:08.325428209 +0000
+++ new/usr/src/cmd/sgs/libelf/Makefile.targ	2019-07-14 19:12:08.340666658 +0000
@@ -30,25 +30,22 @@
 		$(POST_PROCESS_O)
 
 objs/%64.o \
-pics/%64.o:	../common/%.c
+pics/%64.o:	$(SRCDIR)/common/%.c
 		$(COMPILE.c) -D_ELF64 -o $@ $<
 		$(POST_PROCESS_O)
 
 objs/%.o \
-pics/%.o:	../misc/%.c
+pics/%.o:	$(SRCDIR)/misc/%.c
 		$(COMPILE.c) -DELF -o $@ $<
 		$(POST_PROCESS_O)
 
 objs/%.o \
-pics/%.o:	../common/%.c
+pics/%.o:	$(SRCDIR)/common/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
 all:		$(BLTSRCS) .WAIT $(LIBS) $(LIBLINKS)
 
-install:	all .WAIT $(ROOTFS_LIBS) $(ROOTFS_LINKS) \
-		.WAIT $(ROOTDEMODIRS) .WAIT $(ROOTDEMOFILES)
-
 delete:
 		$(RM) $(DYNLIB)
 
@@ -63,11 +60,11 @@
 include		$(SRC)/lib/Makefile.targ
 include		$(SRC)/cmd/sgs/Makefile.targ
 
-xlate.c:	../common/xlate.m4
-		$(M4) < ../common/xlate.m4 > xlate.c
+xlate.c:	$(SRCDIR)/common/xlate.m4
+		$(M4) < $(SRCDIR)/common/xlate.m4 > xlate.c
 
-xlate64.c:	../common/xlate64.m4
-		$(M4) < ../common/xlate64.m4 > xlate64.c
+xlate64.c:	$(SRCDIR)/common/xlate64.m4
+		$(M4) < $(SRCDIR)/common/xlate64.m4 > xlate64.c
 
 
 objs/msg.o \
@@ -82,22 +79,8 @@
 objs/xlate.o \
 pics/xlate.o:	xlate.c
 
-# Special target for native builds (ie. when we need to build a version of ld
-# to build a version of ld :-).
-
-native:		$(SGSLIBDIR)/$(LIBLINKS)
-
 $(PICS):	pics
 
-$(SGSLIBDIR)/$(DYNLIB): $(PICS) $(SGSLIBDIR)
-		$(BUILD.SO)
-		$(POST_PROCESS_SO)
-
-$(SGSLIBDIR)/$(LIBLINKS): $(SGSLIBDIR)/$(DYNLIB)
-		-@$(RM) $(SGSLIBDIR)/$(LIBLINKS)
-		$(SYMLINK) $(DYNLIB) $(SGSLIBDIR)/$(LIBLINKS)
-
-
 # Derived source and header files (messaging).  Make sure that the sgsmsg
 # command is constructed - libelf might not be built with the whole sgs.
 
@@ -107,14 +90,10 @@
 		sh $(CHKMSG) $(CHKMSGFLAGS) $(LIBSRCS)
 
 $(BLTDEFS) + \
-$(BLTDATA):	$(SGSMSG) $(SGSMSGTARG)
+$(BLTDATA):	$(SGSMSGTARG)
 		$(SGSMSG) $(SGSMSGFLAGS2) $(SGSMSGTARG)
 
-$(BLTMESG):	$(SGSMSG) $(SGSMSGALL) xlate.c xlate64.c
+$(BLTMESG):	$(SGSMSGALL) xlate.c xlate64.c
 		$(SGSMSG) $(SGSMSGFLAGS1) $(SGSMSGALL)
 
-$(SGSMSG):	FRC
-		@ cd $(SGSTOOLS)/$(MACH); pwd; $(MAKE) catalog
-		@ pwd
-
 FRC:
--- old/usr/src/cmd/sgs/libelf/Makefile.targ.64	2019-07-14 19:12:08.788529202 +0000
+++ new/usr/src/cmd/sgs/libelf/Makefile.targ.64	2019-07-14 19:12:08.804920293 +0000
@@ -45,8 +45,6 @@
 
 all:		$(BLTSRCS) .WAIT $(LIBS) $(LIBLINKS)
 
-install:	all .WAIT $(ROOTFS_LIBS64) $(ROOTFS_LINKS64)
-
 delete:
 		$(RM) $(DYNLIB)
 
@@ -89,16 +87,12 @@
 		sh $(CHKMSG) $(CHKMSGFLAGS) $(LIBSRCS)
 
 $(BLTDEFS) + \
-$(BLTDATA):	$(SGSMSG) $(SGSMSGTARG)
+$(BLTDATA):	$(SGSMSGTARG)
 		$(SGSMSG) $(SGSMSGFLAGS2) $(SGSMSGTARG)
 
-$(BLTMESG):	$(SGSMSG) $(SGSMSGALL) xlate.c xlate64.c
+$(BLTMESG):	$(SGSMSGALL) xlate.c xlate64.c
 		$(SGSMSG) $(SGSMSGFLAGS1) $(SGSMSGALL)
 
-$(SGSMSG):	FRC
-		@ cd $(SGSTOOLS)/$(MACH); pwd; $(MAKE) catalog
-		@ pwd
-
 #
 # 64-bit overrides
 #
--- old/usr/src/cmd/sgs/libelf/amd64/Makefile	2019-07-14 19:12:09.557143341 +0000
+++ new/usr/src/cmd/sgs/libelf/amd64/Makefile	2019-07-14 19:12:09.573979114 +0000
@@ -34,4 +34,6 @@
 
 .KEEP_STATE:
 
+install:	all .WAIT $(ROOTFS_LIBS64) $(ROOTFS_LINKS64)
+
 include		../Makefile.targ.64
--- old/usr/src/cmd/sgs/libelf/i386/Makefile	2019-07-14 19:12:10.022059849 +0000
+++ new/usr/src/cmd/sgs/libelf/i386/Makefile	2019-07-14 19:12:10.040201405 +0000
@@ -29,4 +29,7 @@
 
 .KEEP_STATE:
 
+install:	all .WAIT $(ROOTFS_LIBS) $(ROOTFS_LINKS) \
+		.WAIT $(ROOTDEMODIRS) .WAIT $(ROOTDEMOFILES)
+
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/libelf/sparc/Makefile	2019-07-14 19:12:10.484097482 +0000
+++ new/usr/src/cmd/sgs/libelf/sparc/Makefile	2019-07-14 19:12:10.503298588 +0000
@@ -29,4 +29,7 @@
 
 .KEEP_STATE:
 
+install:	all .WAIT $(ROOTFS_LIBS) $(ROOTFS_LINKS) \
+		.WAIT $(ROOTDEMODIRS) .WAIT $(ROOTDEMOFILES)
+
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/libelf/sparcv9/Makefile	2019-07-14 19:12:10.974205516 +0000
+++ new/usr/src/cmd/sgs/libelf/sparcv9/Makefile	2019-07-14 19:12:10.994647984 +0000
@@ -34,4 +34,6 @@
 
 .KEEP_STATE:
 
+install:	all .WAIT $(ROOTFS_LIBS64) $(ROOTFS_LINKS64)
+
 include		../Makefile.targ.64
--- old/usr/src/cmd/sgs/libld/Makefile.com	2019-07-14 19:12:11.466245415 +0000
+++ new/usr/src/cmd/sgs/libld/Makefile.com	2019-07-14 19:12:11.484070916 +0000
@@ -47,7 +47,7 @@
 		sunwmove64.o	support64.o	syms64.o	update64.o \
 		unwind64.o	version64.o	wrap64.o
 
-TOOLOBJS =	alist.o		assfail.o	findprime.o	string_table.o \
+SGSCOMMONOBJ =	alist.o		assfail.o	findprime.o	string_table.o \
 		strhash.o
 AVLOBJ =	avl.o
 
@@ -60,13 +60,13 @@
 L_SPARC_MACHOBJS64 =	machrel.sparc64.o	machsym.sparc64.o
 
 # Target specific objects (i386/amd64)
-E_X86_TOOLOBJS =	leb128.o
+E_X86_COMMONOBJ =	leb128.o
 L_X86_MACHOBJS32 =	machrel.intel32.o
 L_X86_MACHOBJS64 =	machrel.amd64.o
 
 # All target specific objects rolled together
-E_TOOLOBJS =	$(E_SPARC_TOOLOBJS) \
-	$(E_X86_TOOLOBJS)
+E_COMMONOBJ =	$(E_SPARC_COMMONOBJ) \
+	$(E_X86_COMMONOBJ)
 L_MACHOBJS32 =	$(L_SPARC_MACHOBJS32) \
 	$(L_X86_MACHOBJS32)
 L_MACHOBJS64 =	$(L_SPARC_MACHOBJS64) \
@@ -79,12 +79,13 @@
 OBJECTS =	$(BLTOBJ) $(G_MACHOBJS32) $(G_MACHOBJS64) \
 		$(L_MACHOBJS32) $(L_MACHOBJS64) \
 		$(COMOBJS) $(COMOBJS32) $(COMOBJS64) \
-		$(TOOLOBJS) $(E_TOOLOBJS) $(AVLOBJ) $(ELFCAPOBJ)
+		$(SGSCOMMONOBJ) $(E_COMMONOBJ) $(AVLOBJ) $(ELFCAPOBJ)
 
 include		$(SRC)/lib/Makefile.lib
 include		$(SRC)/cmd/sgs/Makefile.com
 
-SRCDIR =	../common
+SRCDIR =	$(SGSHOME)/libld
+MAPFILEDIR =	$(SRCDIR)/common
 
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
@@ -98,20 +99,18 @@
 
 # Location of the shared relocation engines maintained under usr/src/uts.
 #
-KRTLD_I386 = $(SRCBASE)/uts/$(VAR_PLAT_i386)/krtld
-KRTLD_AMD64 = $(SRCBASE)/uts/$(VAR_PLAT_amd64)/krtld
-KRTLD_SPARC = $(SRCBASE)/uts/$(VAR_PLAT_sparc)/krtld
+KRTLD_I386 = $(SRC)/uts/$(VAR_PLAT_i386)/krtld
+KRTLD_AMD64 = $(SRC)/uts/$(VAR_PLAT_amd64)/krtld
+KRTLD_SPARC = $(SRC)/uts/$(VAR_PLAT_sparc)/krtld
 
 
-CPPFLAGS +=	-DUSE_LIBLD_MALLOC -I$(SRCBASE)/lib/libc/inc \
-		    -I$(SRCBASE)/uts/common/krtld -I$(SRCBASE)/uts/sparc \
+CPPFLAGS +=	-DUSE_LIBLD_MALLOC -I$(SRC)/lib/libc/inc \
+		    -I$(SRC)/uts/common/krtld -I$(SRC)/uts/sparc \
 		    $(VAR_LIBLD_CPPFLAGS)
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(LDDBGLIBDIR) $(LDDBG_LIB) \
+LDLIBS +=	$(CONVLIBDIR) -lconv $(LDDBGLIBDIR) -llddbg \
 		    $(ELFLIBDIR) -lelf $(DLLIB) -lc
 
-DYNFLAGS +=	$(VERSREF) $(CC_USE_PROTO) '-R$$ORIGIN'
-
-native:=	DYNFLAGS	+= $(CONVLIBDIR)
+DYNFLAGS +=	$(VERSREF) '-R$$ORIGIN'
 
 BLTDEFS =	msg.h
 BLTDATA =	msg.c
@@ -123,26 +122,26 @@
 # However, we keep target specific messages in their own separate files for
 # organizational reasons.
 #
-SGSMSGCOM =	../common/libld.msg
-SGSMSGSPARC =	../common/libld.sparc.msg
-SGSMSGINTEL =	../common/libld.intel.msg
+SGSMSGCOM =	$(SRCDIR)/common/libld.msg
+SGSMSGSPARC =	$(SRCDIR)/common/libld.sparc.msg
+SGSMSGINTEL =	$(SRCDIR)/common/libld.intel.msg
 SGSMSGTARG =	$(SGSMSGCOM) $(SGSMSGSPARC) $(SGSMSGINTEL)
 SGSMSGALL =	$(SGSMSGCOM) $(SGSMSGSPARC) $(SGSMSGINTEL)
 
 SGSMSGFLAGS1 =	$(SGSMSGFLAGS) -m $(BLTMESG)
 SGSMSGFLAGS2 =	$(SGSMSGFLAGS) -h $(BLTDEFS) -d $(BLTDATA) -n libld_msg
 
-CHKSRCS =	$(SRCBASE)/uts/common/krtld/reloc.h \
-		$(COMOBJS32:%32.o=../common/%.c) \
-		$(L_MACHOBJS32:%32.o=../common/%.c) \
-		$(L_MACHOBJS64:%64.o=../common/%.c) \
+CHKSRCS =	$(SRC)/uts/common/krtld/reloc.h \
+		$(COMOBJS32:%32.o=$(SRCDIR)/common/%.c) \
+		$(L_MACHOBJS32:%32.o=$(SRCDIR)/common/%.c) \
+		$(L_MACHOBJS64:%64.o=$(SRCDIR)/common/%.c) \
 		$(KRTLD_I386)/doreloc.c \
 		$(KRTLD_AMD64)/doreloc.c \
 		$(KRTLD_SPARC)/doreloc.c
 
-LIBSRCS =	$(TOOLOBJS:%.o=$(SGSTOOLS)/common/%.c) \
-		$(E_TOOLOBJS:%.o=$(SGSTOOLS)/common/%.c) \
-		$(COMOBJS:%.o=../common/%.c) \
+LIBSRCS =	$(SGSCOMMONOBJ:%.o=$(SGSCOMMON)/%.c) \
+		$(SGSCOMMONOBJ:%.o=$(SGSCOMMON)/%.c) \
+		$(COMOBJS:%.o=$(SRCDIR)/common/%.c) \
 		$(AVLOBJS:%.o=$(VAR_AVLDIR)/%.c) \
 		$(BLTDATA)
 
--- old/usr/src/cmd/sgs/libld/Makefile.targ	2019-07-14 19:12:11.954711147 +0000
+++ new/usr/src/cmd/sgs/libld/Makefile.targ	2019-07-14 19:12:11.970703323 +0000
@@ -26,15 +26,15 @@
 # Copyright 2019 OmniOS Community Edition (OmniOSce) Association.
 #
 
-pics/%.o:	../common/%.c
+pics/%.o:	$(SRCDIR)/common/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
-pics/%32.o:	../common/%.c
+pics/%32.o:	$(SRCDIR)/common/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
-pics/%64.o:	../common/%.c
+pics/%64.o:	$(SRCDIR)/common/%.c
 		$(COMPILE.c) -o $@ -D_ELF64 $<
 		$(POST_PROCESS_O)
 
@@ -46,7 +46,7 @@
 		$(COMPILE.c) -o $@ -D_ELF64 $<
 		$(POST_PROCESS_O)
 
-pics/%.o:	$(SGSTOOLS)/common/%.c
+pics/%.o:	$(SGSCOMMON)/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
@@ -94,21 +94,8 @@
 delete:
 		$(RM) $(DYNLIB)
 
-# Special target for native builds (ie. when we need to build a version of ld
-# to build a version of ld :-).
-
-native:		$(SGSLIBDIR)/$(LIBLINKS)
-
 $(PICS):	pics
 
-$(SGSLIBDIR)/$(DYNLIB): $(PICS) $(SGSLIBDIR)
-		$(BUILD.SO)
-		$(POST_PROCESS_SO)
-
-$(SGSLIBDIR)/$(LIBLINKS): $(SGSLIBDIR)/$(DYNLIB)
-		@$(RM) $(SGSLIBDIR)/$(LIBLINKS)
-		$(SYMLINK) $(DYNLIB) $(SGSLIBDIR)/$(LIBLINKS)
-
 include		$(SRC)/lib/Makefile.targ
 include		$(SRC)/cmd/sgs/Makefile.targ
 
--- old/usr/src/cmd/sgs/liblddbg/Makefile.com	2019-07-14 19:12:12.426560020 +0000
+++ new/usr/src/cmd/sgs/liblddbg/Makefile.com	2019-07-14 19:12:12.442976752 +0000
@@ -47,26 +47,24 @@
 
 BLTOBJ =	msg.o
 
-TOOLOBJ =	alist.o
+SGSCOMMONOBJ =	alist.o
 
-OBJECTS =	$(BLTOBJ) $(COMOBJS) $(COMOBJS32) $(COMOBJS64) $(TOOLOBJ)
+OBJECTS =	$(BLTOBJ) $(COMOBJS) $(COMOBJS32) $(COMOBJS64) $(SGSCOMMONOBJ)
 
 
 include		$(SRC)/lib/Makefile.lib
 include		$(SRC)/cmd/sgs/Makefile.com
 
-SRCDIR =	../common
+SRCDIR =	$(SGSHOME)/liblddbg
+MAPFILEDIR =	$(SRCDIR)/common
 
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-parentheses
 
-CPPFLAGS +=	-I$(SRCBASE)/lib/libc/inc
-DYNFLAGS +=	$(VERSREF) $(CC_USE_PROTO) '-R$$ORIGIN'
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) -lc
-
-native :=	DYNFLAGS	+= $(CONVLIBDIR)
-native :=	CPPFLAGS	+= -DNATIVE_BUILD
+CPPFLAGS +=	-I$(SRC)/lib/libc/inc
+DYNFLAGS +=	$(VERSREF) '-R$$ORIGIN'
+LDLIBS +=	$(CONVLIBDIR) -lconv -lc
 
 BLTDEFS =	msg.h
 BLTDATA =	msg.c
@@ -74,15 +72,15 @@
 
 BLTFILES =	$(BLTDEFS) $(BLTDATA) $(BLTMESG)
 
-SGSMSGCOM =	../common/liblddbg.msg
+SGSMSGCOM =	$(SRCDIR)/common/liblddbg.msg
 SGSMSGALL =	$(SGSMSGCOM)
 SGSMSGTARG =	$(SGSMSGCOM)
 SGSMSGFLAGS +=	-h $(BLTDEFS) -d $(BLTDATA) -m $(BLTMESG) -n liblddbg_msg
 
-CHKSRCS =	$(COMOBJS32:%32.o=../common/%.c)
+CHKSRCS =	$(COMOBJS32:%32.o=$(SRCDIR)/common/%.c)
 
-LIBSRCS =	$(COMOBJS:%.o=../common/%.c) \
-		$(TOOLOBJ:%.o=$(SGSTOOLS)/common/%.c) $(BLTDATA)
+LIBSRCS =	$(COMOBJS:%.o=$(SRCDIR)/common/%.c) \
+		$(SGSCOMMONOBJ:%.o=$(SGSCOMMON)/%.c) $(BLTDATA)
 
 CLEANFILES +=	$(BLTFILES)
 CLOBBERFILES +=	$(DYNLIB) $(LIBLINKS)
--- old/usr/src/cmd/sgs/liblddbg/Makefile.targ	2019-07-14 19:12:12.887390889 +0000
+++ new/usr/src/cmd/sgs/liblddbg/Makefile.targ	2019-07-14 19:12:12.906757748 +0000
@@ -26,19 +26,19 @@
 # Copyright 2019 OmniOS Community Edition (OmniOSce) Association.
 #
 
-pics/%.o:	../common/%.c
+pics/%.o:	$(SRCDIR)/common/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
-pics/%.o:	$(SGSTOOLS)/common/%.c
+pics/%.o:	$(SGSCOMMON)/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
-pics/%32.o:	../common/%.c
+pics/%32.o:	$(SRCDIR)/common/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
-pics/%64.o:	../common/%.c
+pics/%64.o:	$(SRCDIR)/common/%.c
 		$(COMPILE.c) -D_ELF64 -o $@ $<
 		$(POST_PROCESS_O)
 
@@ -48,21 +48,8 @@
 delete:
 		$(RM) $(DYNLIB)
 
-# Special target for native builds (ie. when we need to build a version of ld
-# to build a version of ld :-).
-
-native:		$(SGSLIBDIR)/$(LIBLINKS)
-
 $(PICS):	pics
 
-$(SGSLIBDIR)/$(DYNLIB): $(PICS) $(SGSLIBDIR)
-		$(BUILD.SO)
-		$(POST_PROCESS_SO)
-
-$(SGSLIBDIR)/$(LIBLINKS): $(SGSLIBDIR)/$(DYNLIB)
-		-@$(RM) $(SGSLIBDIR)/$(LIBLINKS)
-		$(SYMLINK) $(DYNLIB) $(SGSLIBDIR)/$(LIBLINKS)
-
 include		$(SRC)/lib/Makefile.targ
 include		$(SRC)/cmd/sgs/Makefile.targ
 
--- old/usr/src/cmd/sgs/libldmake/Makefile.com	2019-07-14 19:12:13.368638027 +0000
+++ new/usr/src/cmd/sgs/libldmake/Makefile.com	2019-07-14 19:12:13.381208577 +0000
@@ -38,8 +38,6 @@
 
 SRCDIR =	../common
 
-DYNFLAGS +=	$(CC_USE_PROTO)
-
 CFLAGS +=	$(C_PICFLAGS)
 CFLAGS64 +=	$(C_PICFLAGS64)
 
--- old/usr/src/cmd/sgs/libldstab/Makefile.com	2019-07-14 19:12:13.778857275 +0000
+++ new/usr/src/cmd/sgs/libldstab/Makefile.com	2019-07-14 19:12:13.795894727 +0000
@@ -38,12 +38,11 @@
 include		$(SRC)/cmd/sgs/Makefile.com
 
 SRCDIR =	../common
-SRCBASE=	../../../..
 
 CPPFLAGS +=	-I$(ELFCAP)
 
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf -lc
-DYNFLAGS +=	$(VERSREF) $(CC_USE_PROTO)
+LDLIBS +=	$(CONVLIBDIR) -lconv $(ELFLIBDIR) -lelf -lc
+DYNFLAGS +=	$(VERSREF)
 
 SRCS=		$(COMOBJS:%.o=../common/%.c)
 
--- old/usr/src/cmd/sgs/libldstab/Makefile.targ	2019-07-14 19:12:14.219021993 +0000
+++ new/usr/src/cmd/sgs/libldstab/Makefile.targ	2019-07-14 19:12:14.234702966 +0000
@@ -37,17 +37,8 @@
 delete:
 		-$(RM) $(DYNLIB)
 
-# Special target for native builds (ie. when we need to build a version of ld
-# to build a version of ld :-).
-
-native:		$(SGSLIBDIR)/$(DYNLIB)
-
 $(PICS):	pics
 
-$(SGSLIBDIR)/$(DYNLIB): $(PICS) $(SGSLIBDIR)
-		$(BUILD.SO)
-		$(POST_PROCESS_SO)
-
 include		$(SRC)/lib/Makefile.targ
 include		$(SRC)/cmd/sgs/Makefile.targ
 
--- old/usr/src/cmd/sgs/librtld/Makefile.com	2019-07-14 19:12:14.667231969 +0000
+++ new/usr/src/cmd/sgs/librtld/Makefile.com	2019-07-14 19:12:14.682022614 +0000
@@ -41,11 +41,11 @@
 include		$(SRC)/cmd/sgs/Makefile.com
 
 SRCDIR =	../common
-CPPFLAGS +=	-I../../rtld/common -I$(SRCBASE)/lib/libc/inc \
-		-I$(SRCBASE)/uts/common/krtld -I$(SRC)/common/sgsrtcid \
-		-I$(SRCBASE)/uts/sparc
-DYNFLAGS +=	$(VERSREF) $(CC_USE_PROTO)  '-R$$ORIGIN'
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf -lc
+CPPFLAGS +=	-I../../rtld/common -I$(SRC)/lib/libc/inc \
+		-I$(SRC)/uts/common/krtld -I$(SRC)/common/sgsrtcid \
+		-I$(SRC)/uts/sparc
+DYNFLAGS +=	$(VERSREF) '-R$$ORIGIN'
+LDLIBS +=	$(CONVLIBDIR) -lconv $(ELFLIBDIR) -lelf -lc
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-value
